<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSProjectSummary" targetNamespace="http://tempuri.org/DSProjectSummary.xsd" xmlns:mstns="http://tempuri.org/DSProjectSummary.xsd" xmlns="http://tempuri.org/DSProjectSummary.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FPJ0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ProjectHrsTableAdapter" GeneratorDataComponentClassName="ProjectHrsTableAdapter" Name="ProjectHrs" UserDataComponentName="ProjectHrsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  (CASE pidx WHEN - 1 THEN '(기타)' ELSE projectName END) AS prj, SUM(hrs) AS hrs
FROM     JobReport
WHERE  (gcode = @gcode) AND (uid = @uid) AND (pdate BETWEEN @sd AND @ed) AND (type NOT LIKE '%미팅%') AND (type NOT LIKE '%휴가%')
GROUP BY (CASE pidx WHEN - 1 THEN '(기타)' ELSE projectName END)
UNION ALL
SELECT  '(미팅)' AS prj, SUM(hrs) AS hrs
FROM     JobReport AS JobReport_1
WHERE  (gcode = @gcode) AND (uid = @uid) AND (pdate BETWEEN @sd AND @ed) AND (type LIKE '%미팅%')
UNION ALL
SELECT  '(휴가)' AS prj, SUM(hrs) AS hrs
FROM     JobReport AS JobReport_1
WHERE  (gcode = @gcode) AND (uid = @uid) AND (pdate BETWEEN @sd AND @ed) AND (type LIKE '%휴가%')
ORDER BY prj</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" Scale="0" Size="10" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" Scale="0" Size="20" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" Scale="0" Size="10" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" Scale="0" Size="10" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="prj" DataSetColumn="prj" />
              <Mapping SourceColumn="hrs" DataSetColumn="hrs" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ProjectUserListTableAdapter" GeneratorDataComponentClassName="ProjectUserListTableAdapter" Name="ProjectUserList" UserDataComponentName="ProjectUserListTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.Projects" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  dbo.getUserName(championid) AS username, championid
FROM     Projects
WHERE  (gcode = @gcode) AND (ISNULL(div, '') &lt;&gt; 'EB') AND (status IN ('검토', '보류', '진행', '완료')) AND (ISNULL(championid, '') &lt;&gt; '')
GROUP BY championid, dbo.getUserName(championid)
ORDER BY username</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Projects" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="username" DataSetColumn="username" />
              <Mapping SourceColumn="championid" DataSetColumn="championid" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ProjectsTableAdapter" GeneratorDataComponentClassName="ProjectsTableAdapter" Name="Projects" UserDataComponentName="ProjectsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.Projects" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  idx, pno, status, process, part, pdate, ReqSite, ReqPlant, ReqLine, ReqPackage, name, reqstaff, costo, costn, cnt, remark_req, sdate, ddate, edate, odate, orderno, path, 
               dbo.getScheduleProgress(idx) AS ProgressPrj, dbo.getLastHistory(idx) AS lasthistory, dbo.getProjectFinishRate(gcode, idx) AS finishrate, championid, designid, assemblyid, epanelid, 
               softwareid, userAssembly, dbo.getUserName2(championid, userManager) AS name_champion, dbo.getUserName2(designid, usermain) AS name_design, dbo.getUserName2(assemblyid, 
               userAssembly) AS name_assembly, dbo.getUserName2(epanelid, userhw2) AS name_epanel, dbo.getUserName2(softwareid, usersub) AS name_software, jasmin, memo
FROM     Projects
WHERE  (gcode = @gcode) AND (ISNULL(div, '') &lt;&gt; 'EB') AND (championid = @uid) AND (sdate &gt;= @sdate) AND (ISNULL(isdel, 0) = 0)
ORDER BY (CASE WHEN ([status] = '진행') THEN '0' WHEN ([status] = '검토') THEN '1' WHEN ([status] = '대기') THEN '2' WHEN ([status] = '완료') THEN '3' WHEN ([status] = '보류') 
               THEN '4' WHEN ([status] = '완료(보고)') THEN '5' WHEN ([status] = '취소') THEN '9' ELSE '5' END), userManager, sdate</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Projects" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="championid" DataSourceName="EE.dbo.Projects" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="championid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sdate" ColumnName="sdate" DataSourceName="EE.dbo.Projects" DataTypeServer="varchar(50)" DbType="AnsiString" Direction="Input" ParameterName="@sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="pno" DataSetColumn="pno" />
              <Mapping SourceColumn="status" DataSetColumn="status" />
              <Mapping SourceColumn="process" DataSetColumn="process" />
              <Mapping SourceColumn="part" DataSetColumn="part" />
              <Mapping SourceColumn="pdate" DataSetColumn="pdate" />
              <Mapping SourceColumn="ReqSite" DataSetColumn="ReqSite" />
              <Mapping SourceColumn="ReqPlant" DataSetColumn="ReqPlant" />
              <Mapping SourceColumn="ReqLine" DataSetColumn="ReqLine" />
              <Mapping SourceColumn="ReqPackage" DataSetColumn="ReqPackage" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="reqstaff" DataSetColumn="reqstaff" />
              <Mapping SourceColumn="costo" DataSetColumn="costo" />
              <Mapping SourceColumn="costn" DataSetColumn="costn" />
              <Mapping SourceColumn="cnt" DataSetColumn="cnt" />
              <Mapping SourceColumn="remark_req" DataSetColumn="remark_req" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="ddate" DataSetColumn="ddate" />
              <Mapping SourceColumn="edate" DataSetColumn="edate" />
              <Mapping SourceColumn="odate" DataSetColumn="odate" />
              <Mapping SourceColumn="orderno" DataSetColumn="orderno" />
              <Mapping SourceColumn="path" DataSetColumn="path" />
              <Mapping SourceColumn="ProgressPrj" DataSetColumn="ProgressPrj" />
              <Mapping SourceColumn="lasthistory" DataSetColumn="lasthistory" />
              <Mapping SourceColumn="finishrate" DataSetColumn="finishrate" />
              <Mapping SourceColumn="championid" DataSetColumn="championid" />
              <Mapping SourceColumn="designid" DataSetColumn="designid" />
              <Mapping SourceColumn="assemblyid" DataSetColumn="assemblyid" />
              <Mapping SourceColumn="epanelid" DataSetColumn="epanelid" />
              <Mapping SourceColumn="softwareid" DataSetColumn="softwareid" />
              <Mapping SourceColumn="userAssembly" DataSetColumn="userAssembly" />
              <Mapping SourceColumn="name_champion" DataSetColumn="name_champion" />
              <Mapping SourceColumn="name_design" DataSetColumn="name_design" />
              <Mapping SourceColumn="name_assembly" DataSetColumn="name_assembly" />
              <Mapping SourceColumn="name_epanel" DataSetColumn="name_epanel" />
              <Mapping SourceColumn="name_software" DataSetColumn="name_software" />
              <Mapping SourceColumn="jasmin" DataSetColumn="jasmin" />
              <Mapping SourceColumn="memo" DataSetColumn="memo" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSProjectSummary" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="DSProjectSummary" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSProjectSummary">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="ProjectHrs" msprop:Generator_RowEvHandlerName="ProjectHrsRowChangeEventHandler" msprop:Generator_RowDeletedName="ProjectHrsRowDeleted" msprop:Generator_RowDeletingName="ProjectHrsRowDeleting" msprop:Generator_RowEvArgName="ProjectHrsRowChangeEvent" msprop:Generator_TablePropName="ProjectHrs" msprop:Generator_RowChangedName="ProjectHrsRowChanged" msprop:Generator_UserTableName="ProjectHrs" msprop:Generator_RowChangingName="ProjectHrsRowChanging" msprop:Generator_RowClassName="ProjectHrsRow" msprop:Generator_TableClassName="ProjectHrsDataTable" msprop:Generator_TableVarName="tableProjectHrs">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="prj" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="prjColumn" msprop:Generator_ColumnPropNameInRow="prj" msprop:Generator_UserColumnName="prj" msprop:Generator_ColumnVarNameInTable="columnprj">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="hrs" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="hrsColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="hrs" msprop:Generator_UserColumnName="hrs" msprop:Generator_ColumnVarNameInTable="columnhrs" type="xs:double" minOccurs="0" />
              <xs:element name="perc" msprop:Generator_ColumnPropNameInTable="percColumn" msprop:Generator_ColumnPropNameInRow="perc" msprop:Generator_UserColumnName="perc" msprop:Generator_ColumnVarNameInTable="columnperc" type="xs:float" minOccurs="0" />
              <xs:element name="shortname" msprop:Generator_ColumnPropNameInTable="shortnameColumn" msprop:Generator_ColumnPropNameInRow="shortname" msprop:Generator_UserColumnName="shortname" msprop:Generator_ColumnVarNameInTable="columnshortname" type="xs:string" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ProjectUserList" msprop:Generator_RowEvHandlerName="ProjectUserListRowChangeEventHandler" msprop:Generator_RowDeletedName="ProjectUserListRowDeleted" msprop:Generator_RowDeletingName="ProjectUserListRowDeleting" msprop:Generator_RowEvArgName="ProjectUserListRowChangeEvent" msprop:Generator_TablePropName="ProjectUserList" msprop:Generator_RowChangedName="ProjectUserListRowChanged" msprop:Generator_UserTableName="ProjectUserList" msprop:Generator_RowChangingName="ProjectUserListRowChanging" msprop:Generator_RowClassName="ProjectUserListRow" msprop:Generator_TableClassName="ProjectUserListDataTable" msprop:Generator_TableVarName="tableProjectUserList">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="username" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="usernameColumn" msprop:Generator_ColumnPropNameInRow="username" msprop:Generator_UserColumnName="username" msprop:Generator_ColumnVarNameInTable="columnusername" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="championid" msprop:Generator_ColumnPropNameInTable="championidColumn" msprop:Generator_ColumnPropNameInRow="championid" msprop:Generator_UserColumnName="championid" msprop:Generator_ColumnVarNameInTable="columnchampionid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Projects" msprop:Generator_RowEvHandlerName="ProjectsRowChangeEventHandler" msprop:Generator_RowDeletedName="ProjectsRowDeleted" msprop:Generator_RowDeletingName="ProjectsRowDeleting" msprop:Generator_RowEvArgName="ProjectsRowChangeEvent" msprop:Generator_TablePropName="Projects" msprop:Generator_RowChangedName="ProjectsRowChanged" msprop:Generator_UserTableName="Projects" msprop:Generator_RowChangingName="ProjectsRowChanging" msprop:Generator_RowClassName="ProjectsRow" msprop:Generator_TableClassName="ProjectsDataTable" msprop:Generator_TableVarName="tableProjects">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="pno" msprop:Generator_ColumnPropNameInTable="pnoColumn" msprop:Generator_ColumnPropNameInRow="pno" msprop:Generator_UserColumnName="pno" msprop:Generator_ColumnVarNameInTable="columnpno" type="xs:int" minOccurs="0" />
              <xs:element name="status" msprop:Generator_ColumnPropNameInTable="statusColumn" msprop:Generator_ColumnPropNameInRow="status" msprop:Generator_UserColumnName="status" msprop:Generator_ColumnVarNameInTable="columnstatus" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="process" msprop:Generator_ColumnPropNameInTable="processColumn" msprop:Generator_ColumnPropNameInRow="process" msprop:Generator_UserColumnName="process" msprop:Generator_ColumnVarNameInTable="columnprocess" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="part" msprop:Generator_ColumnPropNameInTable="partColumn" msprop:Generator_ColumnPropNameInRow="part" msprop:Generator_UserColumnName="part" msprop:Generator_ColumnVarNameInTable="columnpart" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pdate" msprop:Generator_ColumnPropNameInTable="pdateColumn" msprop:Generator_ColumnPropNameInRow="pdate" msprop:Generator_UserColumnName="pdate" msprop:Generator_ColumnVarNameInTable="columnpdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ReqSite" msprop:Generator_ColumnPropNameInTable="ReqSiteColumn" msprop:Generator_ColumnPropNameInRow="ReqSite" msprop:Generator_UserColumnName="ReqSite" msprop:Generator_ColumnVarNameInTable="columnReqSite" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ReqPlant" msprop:Generator_ColumnPropNameInTable="ReqPlantColumn" msprop:Generator_ColumnPropNameInRow="ReqPlant" msprop:Generator_UserColumnName="ReqPlant" msprop:Generator_ColumnVarNameInTable="columnReqPlant" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ReqLine" msprop:Generator_ColumnPropNameInTable="ReqLineColumn" msprop:Generator_ColumnPropNameInRow="ReqLine" msprop:Generator_UserColumnName="ReqLine" msprop:Generator_ColumnVarNameInTable="columnReqLine" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ReqPackage" msprop:Generator_ColumnPropNameInTable="ReqPackageColumn" msprop:Generator_ColumnPropNameInRow="ReqPackage" msprop:Generator_UserColumnName="ReqPackage" msprop:Generator_ColumnVarNameInTable="columnReqPackage" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_UserColumnName="name" msprop:Generator_ColumnVarNameInTable="columnname" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="reqstaff" msprop:Generator_ColumnPropNameInTable="reqstaffColumn" msprop:Generator_ColumnPropNameInRow="reqstaff" msprop:Generator_UserColumnName="reqstaff" msprop:Generator_ColumnVarNameInTable="columnreqstaff" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="costo" msprop:Generator_ColumnPropNameInTable="costoColumn" msprop:Generator_ColumnPropNameInRow="costo" msprop:Generator_UserColumnName="costo" msprop:Generator_ColumnVarNameInTable="columncosto" type="xs:double" minOccurs="0" />
              <xs:element name="costn" msprop:Generator_ColumnPropNameInTable="costnColumn" msprop:Generator_ColumnPropNameInRow="costn" msprop:Generator_UserColumnName="costn" msprop:Generator_ColumnVarNameInTable="columncostn" type="xs:double" minOccurs="0" />
              <xs:element name="cnt" msprop:Generator_ColumnPropNameInTable="cntColumn" msprop:Generator_ColumnPropNameInRow="cnt" msprop:Generator_UserColumnName="cnt" msprop:Generator_ColumnVarNameInTable="columncnt" type="xs:int" minOccurs="0" />
              <xs:element name="remark_req" msprop:Generator_ColumnPropNameInTable="remark_reqColumn" msprop:Generator_ColumnPropNameInRow="remark_req" msprop:Generator_UserColumnName="remark_req" msprop:Generator_ColumnVarNameInTable="columnremark_req" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_UserColumnName="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ddate" msprop:Generator_ColumnPropNameInTable="ddateColumn" msprop:Generator_ColumnPropNameInRow="ddate" msprop:Generator_UserColumnName="ddate" msprop:Generator_ColumnVarNameInTable="columnddate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="edate" msprop:Generator_ColumnPropNameInTable="edateColumn" msprop:Generator_ColumnPropNameInRow="edate" msprop:Generator_UserColumnName="edate" msprop:Generator_ColumnVarNameInTable="columnedate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="odate" msprop:Generator_ColumnPropNameInTable="odateColumn" msprop:Generator_ColumnPropNameInRow="odate" msprop:Generator_UserColumnName="odate" msprop:Generator_ColumnVarNameInTable="columnodate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="orderno" msprop:Generator_ColumnPropNameInTable="ordernoColumn" msprop:Generator_ColumnPropNameInRow="orderno" msprop:Generator_UserColumnName="orderno" msprop:Generator_ColumnVarNameInTable="columnorderno" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="path" msprop:Generator_ColumnPropNameInTable="pathColumn" msprop:Generator_ColumnPropNameInRow="path" msprop:Generator_UserColumnName="path" msprop:Generator_ColumnVarNameInTable="columnpath" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="300" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ProgressPrj" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="ProgressPrjColumn" msprop:Generator_ColumnPropNameInRow="ProgressPrj" msprop:Generator_UserColumnName="ProgressPrj" msprop:Generator_ColumnVarNameInTable="columnProgressPrj" type="xs:double" minOccurs="0" />
              <xs:element name="lasthistory" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="lasthistoryColumn" msprop:Generator_ColumnPropNameInRow="lasthistory" msprop:Generator_UserColumnName="lasthistory" msprop:Generator_ColumnVarNameInTable="columnlasthistory" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="finishrate" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="finishrateColumn" msprop:Generator_ColumnPropNameInRow="finishrate" msprop:Generator_UserColumnName="finishrate" msprop:Generator_ColumnVarNameInTable="columnfinishrate" type="xs:int" minOccurs="0" />
              <xs:element name="championid" msprop:Generator_ColumnPropNameInTable="championidColumn" msprop:Generator_ColumnPropNameInRow="championid" msprop:Generator_UserColumnName="championid" msprop:Generator_ColumnVarNameInTable="columnchampionid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="designid" msprop:Generator_ColumnPropNameInTable="designidColumn" msprop:Generator_ColumnPropNameInRow="designid" msprop:Generator_UserColumnName="designid" msprop:Generator_ColumnVarNameInTable="columndesignid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="assemblyid" msprop:Generator_ColumnPropNameInTable="assemblyidColumn" msprop:Generator_ColumnPropNameInRow="assemblyid" msprop:Generator_UserColumnName="assemblyid" msprop:Generator_ColumnVarNameInTable="columnassemblyid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="epanelid" msprop:Generator_ColumnPropNameInTable="epanelidColumn" msprop:Generator_ColumnPropNameInRow="epanelid" msprop:Generator_UserColumnName="epanelid" msprop:Generator_ColumnVarNameInTable="columnepanelid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="softwareid" msprop:Generator_ColumnPropNameInTable="softwareidColumn" msprop:Generator_ColumnPropNameInRow="softwareid" msprop:Generator_UserColumnName="softwareid" msprop:Generator_ColumnVarNameInTable="columnsoftwareid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="userAssembly" msprop:Generator_ColumnPropNameInTable="userAssemblyColumn" msprop:Generator_ColumnPropNameInRow="userAssembly" msprop:Generator_UserColumnName="userAssembly" msprop:Generator_ColumnVarNameInTable="columnuserAssembly" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name_champion" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="name_championColumn" msprop:Generator_ColumnPropNameInRow="name_champion" msprop:Generator_UserColumnName="name_champion" msprop:Generator_ColumnVarNameInTable="columnname_champion" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name_design" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="name_designColumn" msprop:Generator_ColumnPropNameInRow="name_design" msprop:Generator_UserColumnName="name_design" msprop:Generator_ColumnVarNameInTable="columnname_design" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name_assembly" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="name_assemblyColumn" msprop:Generator_ColumnPropNameInRow="name_assembly" msprop:Generator_UserColumnName="name_assembly" msprop:Generator_ColumnVarNameInTable="columnname_assembly" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name_epanel" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="name_epanelColumn" msprop:Generator_ColumnPropNameInRow="name_epanel" msprop:Generator_UserColumnName="name_epanel" msprop:Generator_ColumnVarNameInTable="columnname_epanel" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name_software" msdata:ReadOnly="true" msprop:Generator_ColumnPropNameInTable="name_softwareColumn" msprop:Generator_ColumnPropNameInRow="name_software" msprop:Generator_UserColumnName="name_software" msprop:Generator_ColumnVarNameInTable="columnname_software" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="jasmin" msprop:Generator_ColumnPropNameInTable="jasminColumn" msprop:Generator_ColumnPropNameInRow="jasmin" msprop:Generator_UserColumnName="jasmin" msprop:Generator_ColumnVarNameInTable="columnjasmin" type="xs:int" minOccurs="0" />
              <xs:element name="memo" msprop:Generator_ColumnPropNameInTable="memoColumn" msprop:Generator_ColumnPropNameInRow="memo" msprop:Generator_UserColumnName="memo" msprop:Generator_ColumnVarNameInTable="columnmemo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ProjectCountForUser" msprop:Generator_RowEvHandlerName="ProjectCountForUserRowChangeEventHandler" msprop:Generator_RowDeletedName="ProjectCountForUserRowDeleted" msprop:Generator_RowDeletingName="ProjectCountForUserRowDeleting" msprop:Generator_RowEvArgName="ProjectCountForUserRowChangeEvent" msprop:Generator_TablePropName="ProjectCountForUser" msprop:Generator_RowChangedName="ProjectCountForUserRowChanged" msprop:Generator_UserTableName="ProjectCountForUser" msprop:Generator_RowChangingName="ProjectCountForUserRowChanging" msprop:Generator_RowClassName="ProjectCountForUserRow" msprop:Generator_TableClassName="ProjectCountForUserDataTable" msprop:Generator_TableVarName="tableProjectCountForUser">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Process" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_UserColumnName="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" type="xs:string" />
              <xs:element name="UserName" msprop:Generator_ColumnPropNameInTable="UserNameColumn" msprop:Generator_ColumnPropNameInRow="UserName" msprop:Generator_UserColumnName="UserName" msprop:Generator_ColumnVarNameInTable="columnUserName" type="xs:string" />
              <xs:element name="UserID" msprop:Generator_ColumnPropNameInTable="UserIDColumn" msprop:Generator_ColumnPropNameInRow="UserID" msprop:Generator_UserColumnName="UserID" msprop:Generator_ColumnVarNameInTable="columnUserID" type="xs:string" />
              <xs:element name="CntTotal" msprop:Generator_ColumnPropNameInTable="CntTotalColumn" msprop:Generator_ColumnPropNameInRow="CntTotal" msprop:Generator_UserColumnName="CntTotal" msprop:Generator_ColumnVarNameInTable="columnCntTotal" type="xs:int" minOccurs="0" />
              <xs:element name="CntProgress" msprop:Generator_ColumnPropNameInTable="CntProgressColumn" msprop:Generator_ColumnPropNameInRow="CntProgress" msprop:Generator_UserColumnName="CntProgress" msprop:Generator_ColumnVarNameInTable="columnCntProgress" type="xs:int" minOccurs="0" />
              <xs:element name="CntCheck" msprop:Generator_ColumnPropNameInTable="CntCheckColumn" msprop:Generator_ColumnPropNameInRow="CntCheck" msprop:Generator_UserColumnName="CntCheck" msprop:Generator_ColumnVarNameInTable="columnCntCheck" type="xs:int" minOccurs="0" />
              <xs:element name="CntHold" msprop:Generator_ColumnPropNameInTable="CntHoldColumn" msprop:Generator_ColumnPropNameInRow="CntHold" msprop:Generator_UserColumnName="CntHold" msprop:Generator_ColumnVarNameInTable="columnCntHold" type="xs:int" minOccurs="0" />
              <xs:element name="Plan01" msprop:Generator_ColumnPropNameInTable="Plan01Column" msprop:Generator_ColumnPropNameInRow="Plan01" msprop:Generator_UserColumnName="Plan01" msprop:Generator_ColumnVarNameInTable="columnPlan01" type="xs:int" minOccurs="0" />
              <xs:element name="Plan02" msprop:Generator_ColumnPropNameInTable="Plan02Column" msprop:Generator_ColumnPropNameInRow="Plan02" msprop:Generator_UserColumnName="Plan02" msprop:Generator_ColumnVarNameInTable="columnPlan02" type="xs:int" minOccurs="0" />
              <xs:element name="Plan03" msprop:Generator_ColumnPropNameInTable="Plan03Column" msprop:Generator_ColumnPropNameInRow="Plan03" msprop:Generator_UserColumnName="Plan03" msprop:Generator_ColumnVarNameInTable="columnPlan03" type="xs:int" minOccurs="0" />
              <xs:element name="Plan04" msprop:Generator_ColumnPropNameInTable="Plan04Column" msprop:Generator_ColumnPropNameInRow="Plan04" msprop:Generator_UserColumnName="Plan04" msprop:Generator_ColumnVarNameInTable="columnPlan04" type="xs:int" minOccurs="0" />
              <xs:element name="Plan05" msprop:Generator_ColumnPropNameInTable="Plan05Column" msprop:Generator_ColumnPropNameInRow="Plan05" msprop:Generator_UserColumnName="Plan05" msprop:Generator_ColumnVarNameInTable="columnPlan05" type="xs:int" minOccurs="0" />
              <xs:element name="Plan06" msprop:Generator_ColumnPropNameInTable="Plan06Column" msprop:Generator_ColumnPropNameInRow="Plan06" msprop:Generator_UserColumnName="Plan06" msprop:Generator_ColumnVarNameInTable="columnPlan06" type="xs:int" minOccurs="0" />
              <xs:element name="Plan07" msprop:Generator_ColumnPropNameInTable="Plan07Column" msprop:Generator_ColumnPropNameInRow="Plan07" msprop:Generator_UserColumnName="Plan07" msprop:Generator_ColumnVarNameInTable="columnPlan07" type="xs:int" minOccurs="0" />
              <xs:element name="Plan08" msprop:Generator_ColumnPropNameInTable="Plan08Column" msprop:Generator_ColumnPropNameInRow="Plan08" msprop:Generator_UserColumnName="Plan08" msprop:Generator_ColumnVarNameInTable="columnPlan08" type="xs:int" minOccurs="0" />
              <xs:element name="Plan09" msprop:Generator_ColumnPropNameInTable="Plan09Column" msprop:Generator_ColumnPropNameInRow="Plan09" msprop:Generator_UserColumnName="Plan09" msprop:Generator_ColumnVarNameInTable="columnPlan09" type="xs:int" minOccurs="0" />
              <xs:element name="Plan10" msprop:Generator_ColumnPropNameInTable="Plan10Column" msprop:Generator_ColumnPropNameInRow="Plan10" msprop:Generator_UserColumnName="Plan10" msprop:Generator_ColumnVarNameInTable="columnPlan10" type="xs:int" minOccurs="0" />
              <xs:element name="Plan11" msprop:Generator_ColumnPropNameInTable="Plan11Column" msprop:Generator_ColumnPropNameInRow="Plan11" msprop:Generator_UserColumnName="Plan11" msprop:Generator_ColumnVarNameInTable="columnPlan11" type="xs:int" minOccurs="0" />
              <xs:element name="Plan12" msprop:Generator_ColumnPropNameInTable="Plan12Column" msprop:Generator_ColumnPropNameInRow="Plan12" msprop:Generator_UserColumnName="Plan12" msprop:Generator_ColumnVarNameInTable="columnPlan12" type="xs:int" minOccurs="0" />
              <xs:element name="PlanNext" msprop:Generator_ColumnPropNameInTable="PlanNextColumn" msprop:Generator_ColumnPropNameInRow="PlanNext" msprop:Generator_UserColumnName="PlanNext" msprop:Generator_ColumnVarNameInTable="columnPlanNext" type="xs:int" minOccurs="0" />
              <xs:element name="CntNone" msprop:Generator_ColumnPropNameInTable="CntNoneColumn" msprop:Generator_ColumnPropNameInRow="CntNone" msprop:Generator_UserColumnName="CntNone" msprop:Generator_ColumnVarNameInTable="columnCntNone" type="xs:int" minOccurs="0" />
              <xs:element name="CntOther" msprop:Generator_UserColumnName="CntOther" msprop:Generator_ColumnPropNameInTable="CntOtherColumn" msprop:Generator_ColumnPropNameInRow="CntOther" msprop:Generator_ColumnVarNameInTable="columnCntOther" type="xs:int" minOccurs="0" />
              <xs:element name="CntComplete" msprop:Generator_ColumnPropNameInRow="CntComplete" msprop:Generator_ColumnPropNameInTable="CntCompleteColumn" msprop:Generator_ColumnVarNameInTable="columnCntComplete" msprop:Generator_UserColumnName="CntComplete" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ProjectHrs" />
      <xs:field xpath="mstns:prj" />
    </xs:unique>
    <xs:unique name="ProjectUserList_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ProjectUserList" />
      <xs:field xpath="mstns:championid" />
    </xs:unique>
    <xs:unique name="ProjectCountForUser_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ProjectCountForUser" />
      <xs:field xpath="mstns:Process" />
      <xs:field xpath="mstns:UserID" />
      <xs:field xpath="mstns:UserName" />
    </xs:unique>
  </xs:element>
</xs:schema>